Package org.apache.catalina.filters

## Enum CorsFilter.CORSRequestType

- java.lang.Object
- - java.lang.Enum<CorsFilter.CORSRequestType>
  - - org.apache.catalina.filters.CorsFilter.CORSRequestType

All Implemented Interfaces:
  `Serializable`, `Comparable<CorsFilter.CORSRequestType>`

Enclosing class:
  CorsFilter

    protected static enum CorsFilter.CORSRequestType
    extends Enum<CorsFilter.CORSRequestType>

Enumerates varies types of CORS requests. Also, provides utility methods to determine the request type.

### Enum Constant Summary

Enum Constants
`ACTUAL` An HTTP request that needs to be pre-flighted.
`INVALID_CORS` An invalid CORS request, i.e. it qualifies to be a CORS request, but fails to be a valid one.
`NOT_CORS` Not a CORS request, but a normal request.
`PRE_FLIGHT` A pre-flight CORS request, to get meta information, before a non-simple HTTP request is sent.
`SIMPLE` A simple HTTP request, i.e. it shouldn't be pre-flighted.

### Method Summary

All Methods Static Methods Concrete Methods
`static CorsFilter.CORSRequestType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CorsFilter.CORSRequestType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SIMPLE

    public static final CorsFilter.CORSRequestType SIMPLE

A simple HTTP request, i.e. it shouldn't be pre-flighted.

#### ACTUAL

    public static final CorsFilter.CORSRequestType ACTUAL

An HTTP request that needs to be pre-flighted.

#### PRE_FLIGHT

    public static final CorsFilter.CORSRequestType PRE_FLIGHT

A pre-flight CORS request, to get meta information, before a non-simple HTTP request is sent.

#### NOT_CORS

    public static final CorsFilter.CORSRequestType NOT_CORS

Not a CORS request, but a normal request.

#### INVALID_CORS

    public static final CorsFilter.CORSRequestType INVALID_CORS

An invalid CORS request, i.e. it qualifies to be a CORS request, but fails to be a valid one.

### Method Detail

#### values

    public static CorsFilter.CORSRequestType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CorsFilter.CORSRequestType c : CorsFilter.CORSRequestType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CorsFilter.CORSRequestType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null